Vulnerability  oval:org.mitre.oval:def:2092
mono-web ASP.net sourcecode disclosure  

The System.Web class in the XSP for ASP.NET server 1.1 through 2.0 in Mono does not properly verify local pathnames, which allows remote attackers to (1) read source code by appending a space (%20) to a URI, and (2) read credentials via a request for Web.Config%20.
Create Date: 2007-08-09 Last Update Date: 2007-12-10

Affected Platforms/Products

Affected Products (CPE + CVE references)
Total : 23
Platforms: unix (from OVAL definitions) Products: unix
  • openSUSE 10.2
  • SUSE Linux 10.1
  • SUSE Linux Enterprise Desktop 10
  • SUSE Linux Enterprise Server 10
  • bytefx-data-mysql
  • ibm-data-db2
  • mono-basic
  • mono-core
  • mono-core-32bit
  • mono-data
  • mono-data-firebird
  • mono-data-oracle
  • mono-data-postgresql
  • mono-data-sqlite
  • mono-data-sybase
  • mono-devel
  • mono-extras
  • mono-jscript
  • mono-locale-extras
  • mono-nunit
  • mono-web
  • mono-winforms

References

Criteria

The system is vulnerable
IF : Any one of the following are true Exploitable Vulnerability Exists
IF : All of the following are true Exploitable openSUSE 10.2 Vulnerability Exists
IF : All of the following are true Potential openSUSE 10.2 Vulnerability Exists
Prerequisites (Extended Definitions)
openSUSE 10.2 is installed oval:org.mitre.oval:def:1170
IF : Any one of the following are true Potential Architecture Vulnerability Exists
IF : x86_64 architecture
Uname Test :  ix86 architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class (equals) x86_64
unix : uname_state 
IF : ix86 architecture
Uname Test :  ix86 architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class pattern match ^i[3-6]86$
unix : uname_state 
IF : ppc architecture
Uname Test :  ppc architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class (equals) ppc
unix : uname_state 
IF : Any one of the following are true Potential Package Vulnerability Exists
IF : All of the following are true Potential Package bytefx-data-mysql Vulnerability Exists
Prerequisites (Extended Definitions)
Package bytefx-data-mysql is installed oval:org.mitre.oval:def:315
IF : Package bytefx-data-mysql version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package bytefx-data-mysql version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
bytefx-data-mysql
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package ibm-data-db2 Vulnerability Exists
Prerequisites (Extended Definitions)
Package ibm-data-db2 is installed oval:org.mitre.oval:def:633
IF : Package ibm-data-db2 version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package ibm-data-db2 version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
ibm-data-db2
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-basic Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-basic is installed oval:org.mitre.oval:def:646
IF : Package mono-basic version-release is less than 1.1.18-9.1
Linux : RPM Test :  Package mono-basic version-release is less than 1.1.18-9.1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-basic
RPM Version less than 0:1.1.18-9.1 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-core Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-core is installed oval:org.mitre.oval:def:1616
IF : Package mono-core version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-core version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-core
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-core-32bit Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-core-32bit is installed oval:org.mitre.oval:def:1233
IF : Package mono-core-32bit version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-core-32bit version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-core-32bit
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data is installed oval:org.mitre.oval:def:1717
IF : Package mono-data version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-data version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-firebird Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-firebird is installed oval:org.mitre.oval:def:2212
IF : Package mono-data-firebird version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-data-firebird version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-firebird
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-oracle Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-oracle is installed oval:org.mitre.oval:def:2227
IF : Package mono-data-oracle version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-data-oracle version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-oracle
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-postgresql Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-postgresql is installed oval:org.mitre.oval:def:2230
IF : Package mono-data-postgresql version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-data-postgresql version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-postgresql
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-sqlite Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-sqlite is installed oval:org.mitre.oval:def:2146
IF : Package mono-data-sqlite version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-data-sqlite version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-sqlite
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-sybase Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-sybase is installed oval:org.mitre.oval:def:1812
IF : Package mono-data-sybase version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-data-sybase version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-sybase
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-devel Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-devel is installed oval:org.mitre.oval:def:2042
IF : Package mono-devel version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-devel version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-devel
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-extras Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-extras is installed oval:org.mitre.oval:def:2175
IF : Package mono-extras version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-extras version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-extras
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-jscript Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-jscript is installed oval:org.mitre.oval:def:2218
IF : Package mono-jscript version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-jscript version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-jscript
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-locale-extras Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-locale-extras is installed oval:org.mitre.oval:def:2066
IF : Package mono-locale-extras version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-locale-extras version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-locale-extras
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-nunit Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-nunit is installed oval:org.mitre.oval:def:2125
IF : Package mono-nunit version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-nunit version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-nunit
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-web Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-web is installed oval:org.mitre.oval:def:1554
IF : Package mono-web version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-web version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-web
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-winforms Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-winforms is installed oval:org.mitre.oval:def:2131
IF : Package mono-winforms version-release is less than 1.1.18.1-12.2
Linux : RPM Test :  Package mono-winforms version-release is less than 1.1.18.1-12.2 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-winforms
RPM Version less than 0:1.1.18.1-12.2 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Exploitable SUSE Linux 10.1 Vulnerability Exists
IF : All of the following are true Potential SUSE Linux 10.1 Vulnerability Exists
Prerequisites (Extended Definitions)
SUSE Linux 10.1 is installed oval:org.mitre.oval:def:2157
IF : Any one of the following are true Potential Architecture Vulnerability Exists
IF : x86_64 architecture
Uname Test :  ix86 architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class (equals) x86_64
unix : uname_state 
IF : ix86 architecture
Uname Test :  ix86 architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class pattern match ^i[3-6]86$
unix : uname_state 
IF : ppc architecture
Uname Test :  ppc architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class (equals) ppc
unix : uname_state 
IF : Any one of the following are true Potential Package Vulnerability Exists
IF : All of the following are true Potential Package bytefx-data-mysql Vulnerability Exists
Prerequisites (Extended Definitions)
Package bytefx-data-mysql is installed oval:org.mitre.oval:def:315
IF : Package bytefx-data-mysql version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package bytefx-data-mysql version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
bytefx-data-mysql
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package ibm-data-db2 Vulnerability Exists
Prerequisites (Extended Definitions)
Package ibm-data-db2 is installed oval:org.mitre.oval:def:633
IF : Package ibm-data-db2 version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package ibm-data-db2 version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
ibm-data-db2
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-basic Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-basic is installed oval:org.mitre.oval:def:646
IF : Package mono-basic version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-basic version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-basic
RPM Version less than 0:1.1.18-9.1 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-core Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-core is installed oval:org.mitre.oval:def:1616
IF : Package mono-core version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-core version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-core
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-core-32bit Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-core-32bit is installed oval:org.mitre.oval:def:1233
IF : Package mono-core-32bit version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-core-32bit version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-core-32bit
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data is installed oval:org.mitre.oval:def:1717
IF : Package mono-data version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-data version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-firebird Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-firebird is installed oval:org.mitre.oval:def:2212
IF : Package mono-data-firebird version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-data-firebird version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-firebird
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-oracle Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-oracle is installed oval:org.mitre.oval:def:2227
IF : Package mono-data-oracle version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-data-oracle version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-oracle
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-postgresql Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-postgresql is installed oval:org.mitre.oval:def:2230
IF : Package mono-data-postgresql version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-data-postgresql version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-postgresql
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-sqlite Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-sqlite is installed oval:org.mitre.oval:def:2146
IF : Package mono-data-sqlite version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-data-sqlite version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-sqlite
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-data-sybase Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-data-sybase is installed oval:org.mitre.oval:def:1812
IF : Package mono-data-sybase version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-data-sybase version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-sybase
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-devel Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-devel is installed oval:org.mitre.oval:def:2042
IF : Package mono-devel version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-devel version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-devel
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-extras Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-extras is installed oval:org.mitre.oval:def:2175
IF : Package mono-extras version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-extras version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-extras
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-jscript Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-jscript is installed oval:org.mitre.oval:def:2218
IF : Package mono-jscript version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-jscript version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-jscript
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-locale-extras Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-locale-extras is installed oval:org.mitre.oval:def:2066
IF : Package mono-locale-extras version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-locale-extras version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-locale-extras
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-nunit Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-nunit is installed oval:org.mitre.oval:def:2125
IF : Package mono-nunit version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-nunit version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-nunit
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-web Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-web is installed oval:org.mitre.oval:def:1554
IF : Package mono-web version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-web version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-web
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Potential Package mono-winforms Vulnerability Exists
Prerequisites (Extended Definitions)
Package mono-winforms is installed oval:org.mitre.oval:def:2131
IF : Package mono-winforms version-release is less than 1.1.13.8-2.15
Linux : RPM Test :  Package mono-winforms version-release is less than 1.1.13.8-2.15 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-winforms
RPM Version less than 0:1.1.13.8-2.15 (datatype=evr_string)
linux : rpminfo_state 
IF : All of the following are true Exploitable SUSE Linux Enterprise Desktop 10 or SUSE Linux Enterprise Server 10 Vulnerability Exists
IF : Any one of the following are true Potential System Vulnerability Exists
IF : All of the following are true Potential SUSE Linux Enterprise Desktop 10 Vulnerability Exists
Prerequisites (Extended Definitions)
SUSE Linux Enterprise Desktop 10 is installed oval:org.mitre.oval:def:2106
IF : Any one of the following are true Potential Architecture Vulnerability Exists
IF : x86_64 architecture
Uname Test :  ix86 architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class (equals) x86_64
unix : uname_state 
IF : ix86 architecture
Uname Test :  ix86 architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class pattern match ^i[3-6]86$
unix : uname_state 
IF : All of the following are true Potential SUSE Linux Enterprise Server 10 Vulnerability Exists
Prerequisites (Extended Definitions)
SUSE Linux Enterprise Server 10 is installed oval:org.mitre.oval:def:1368
IF : Any one of the following are true Potential Architecture Vulnerability Exists
IF : x86_64 architecture
Uname Test :  ix86 architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class (equals) x86_64
unix : uname_state 
IF : ix86 architecture
Uname Test :  ix86 architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class pattern match ^i[3-6]86$
unix : uname_state 
IF : ppc architecture
Uname Test :  ppc architecture 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
machine_class (equals) ppc
unix : uname_state 
IF : Any one of the following are true Potential Package Vulnerability Exists
IF : Package bytefx-data-mysql is installed
Linux : RPM Test :  bytefx-data-mysql is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
bytefx-data-mysql
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package ibm-data-db2 is installed
Linux : RPM Test :  ibm-data-db2 is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
ibm-data-db2
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-basic is installed
Linux : RPM Test :  mono-basic is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-basic
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)|(^noarch$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-core is installed
Linux : RPM Test :  mono-core is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-core
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-core-32bit is installed
Linux : RPM Test :  mono-core-32bit is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-core-32bit
arch (equals) x86_64
epoch (equals) (none)
signature_keyid (equals) a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-data is installed
Linux : RPM Test :  mono-data is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-data-firebird is installed
Linux : RPM Test :  mono-data-firebird is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-firebird
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-data-oracle is installed
Linux : RPM Test :  mono-data-oracle is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-oracle
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-data-postgresql is installed
Linux : RPM Test :  mono-data-postgresql is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-postgresql
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-data-sqlite is installed
Linux : RPM Test :  mono-data-sqlite is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-sqlite
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-data-sybase is installed
Linux : RPM Test :  mono-data-sybase is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-data-sybase
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-devel is installed
Linux : RPM Test :  mono-devel is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-devel
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-extras is installed
Linux : RPM Test :  mono-extras is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-extras
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-jscript is installed
Linux : RPM Test :  mono-jscript is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-jscript
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-locale-extras is installed
Linux : RPM Test :  mono-locale-extras is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-locale-extras
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-nunit is installed
Linux : RPM Test :  mono-nunit is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-nunit
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-web is installed
Linux : RPM Test :  mono-web is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-web
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 
IF : Package mono-winforms is installed
Linux : RPM Test :  mono-winforms is installed 
At least one of the objects listed below must exist on the system (Existence check)
Linux : RPM Package 
mono-winforms
arch pattern match (^i586$)|(^x86_64$)|(^ppc$)
epoch (none)
signature_keyid a84edae89c800aca
linux : rpminfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html